> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# पॉडकास्ट बनाएं

POST https://api.elevenlabs.io/v1/studio/podcasts
Content-Type: application/json

पॉडकास्ट प्रोजेक्ट बनाएं और उसे अपने-आप कन्वर्ट करें। फ़िलहाल LLM की लागत हम वहन करते हैं, लेकिन ऑडियो जनरेशन के लिए आपसे शुल्क लिया जाएगा। भविष्य में, LLM और ऑडियो जनरेशन, दोनों की लागत के लिए आपसे शुल्क लिया जाएगा।

Reference: https://elevenlabs.io/docs/api-reference/studio/create-podcast

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Headers

- `safety-identifier` (string, optional, nullable) — मॉडरेशन के लिए इस्तेमाल होता है। इस सुविधा का इस्तेमाल करने के लिए आपका वर्कस्पेस allowlist में होना चाहिए।

### Body (application/json)

This endpoint expects a Body_Create_podcast_v1_studio_podcasts_post.

- `model_id` (string, required) — इस स्टूडियो प्रोजेक्ट के लिए उपयोग किए जाने वाले मॉडल की ID। सभी उपलब्ध मॉडल की सूची के लिए आप GET /v1/models क्वेरी कर सकते हैं।
- `mode` (BodyCreatePodcastV1StudioPodcastsPostMode, required) — बनाए जाने वाले पॉडकास्ट का टाइप। यह 'conversation' हो सकता है, यानी दो वॉइस के बीच बातचीत, या 'bulletin', यानी एकालाप।
- `source` (BodyCreatePodcastV1StudioPodcastsPostSource, required) — पॉडकास्ट के लिए स्रोत कॉन्टेंट।
- `quality_preset` (enum, optional, nullable) — जनरेट किए गए ऑडियो की output quality। इनमें से एक होनी चाहिए: 'standard' - मानक output format, 44.1kHz sample rate के साथ 128kbps। 'high' - उच्च-गुणवत्ता output format, 44.1kHz sample rate के साथ 192kbps और हमारी ओर से बड़े सुधार। 'ultra' - ultra quality output format, 44.1kHz sample rate के साथ 192kbps और हमारी ओर से सबसे बेहतर सुधार। 'ultra_lossless' - पूरी तरह lossless format में ultra quality output format, 44.1kHz sample rate के साथ 705.6kbps और हमारी ओर से सबसे बेहतर सुधार। न दिए जाने पर, आपके subscription tier में उपलब्ध सबसे उच्च गुणवत्ता preset डिफ़ॉल्ट होता है।
  - Allowed values: `standard`, `high`, `ultra`, `ultra_lossless`
- `duration_scale` (enum, optional, default: default) — जनरेट किए गए पॉडकास्ट की अवधि। इनमें से एक होना चाहिए: short - 3 मिनट से छोटे पॉडकास्ट बनाता है। default - लगभग 3-7 मिनट के पॉडकास्ट बनाता है। long - 7 मिनट से लंबे पॉडकास्ट बनाता है।
  - Allowed values: `short`, `default`, `long`
- `language` (string, optional, nullable) — Studio प्रोजेक्ट की वैकल्पिक भाषा। दो-अक्षर का भाषा कोड (ISO 639-1)।
- `intro` (string, optional, nullable) — पॉडकास्ट की शुरुआत में हमेशा जोड़ा जाने वाला इंट्रो टेक्स्ट।
- `outro` (string, optional, nullable) — आउट्रो टेक्स्ट जो हमेशा पॉडकास्ट के अंत में जोड़ा जाएगा।
- `instructions_prompt` (string, optional, nullable) — पॉडकास्ट की शैली और टोन बदलने के लिए पॉडकास्ट जनरेशन हेतु अतिरिक्त निर्देश प्रॉम्प्ट।
- `highlights` (list of string, optional, nullable) — Studio प्रोजेक्ट की सामग्री का संक्षिप्त सार या मुख्य बिंदु/विषय। यह 10 से 70 वर्णों के बीच होना चाहिए।
- `callback_url` (string, optional, nullable) — Studio प्रोजेक्ट कन्वर्ट होने पर हमारी सेवा इस URL को कॉल करेगी। अनुरोध में कन्वर्ज़न की स्थिति वाला एक JSON blob होगा। संदेश: 1. प्रोजेक्ट सफलतापूर्वक कन्वर्ट होने पर: \{ type: "project\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", conversion\_status: "success", project\_snapshot\_id: "22m00Tcm4TlvDq8ikMAT", error\_details: None, } } 2. प्रोजेक्ट कन्वर्ज़न विफल होने पर: \{ type: "project\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", conversion\_status: "error", project\_snapshot\_id: None, error\_details: "Error details if conversion failed" } } 3. अध्याय सफलतापूर्वक कन्वर्ट होने पर: \{ type: "chapter\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", chapter\_id: "22m00Tcm4TlvDq8ikMAT", conversion\_status: "success", chapter\_snapshot\_id: "23m00Tcm4TlvDq8ikMAV", error\_details: None, } } 4. अध्याय कन्वर्ज़न विफल होने पर: \{ type: "chapter\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", chapter\_id: "22m00Tcm4TlvDq8ikMAT", conversion\_status: "error", chapter\_snapshot\_id: None, error\_details: "Error details if conversion failed" } }
- `apply_text_normalization` (enum, optional, nullable) — यह पैरामीटर चार मोड—'auto', 'on', 'apply_english' और 'off'—से टेक्स्ट नॉर्मलाइज़ेशन नियंत्रित करता है। 'auto' पर सेट करने पर, सिस्टम अपने-आप तय करेगा कि टेक्स्ट नॉर्मलाइज़ेशन लागू करना है या नहीं (जैसे, संख्याओं को शब्दों में लिखना)। 'on' के साथ टेक्स्ट नॉर्मलाइज़ेशन हमेशा लागू होगा, जबकि 'off' के साथ इसे छोड़ दिया जाएगा। 'apply_english', 'on' जैसा ही है, लेकिन यह मानेगा कि टेक्स्ट अंग्रेज़ी में है।
  - Allowed values: `auto`, `on`, `off`, `apply_english`

## Response

### 200

सफल रिस्पॉन्स

- `project` (ProjectResponseModel, required) — बनाए गए पॉडकास्ट से जुड़ा प्रोजेक्ट।

## Errors

### 422 Unprocessable Entity Error

वैलिडेशन एरर

- `detail` (list of ValidationError, optional)

## Types

### BodyCreatePodcastV1StudioPodcastsPostMode

बनाए जाने वाले पॉडकास्ट का टाइप। यह 'conversation' हो सकता है, यानी दो वॉइस के बीच बातचीत, या 'bulletin', यानी एकालाप।

### BodyCreatePodcastV1StudioPodcastsPostSource

पॉडकास्ट के लिए स्रोत कॉन्टेंट।

### ProjectResponseModel

- `project_id` (string, required) — प्रोजेक्ट की ID।
- `name` (string, required) — प्रोजेक्ट का नाम।
- `create_date_unix` (integer, required) — प्रोजेक्ट बनाने की तारीख।
- `created_by_user_id` (string, required, nullable) — प्रोजेक्ट बनाने वाले की यूज़र ID।
- `default_title_voice_ref_id` (string, required) — डिफ़ॉल्ट टाइटल प्रोजेक्ट वॉइस रेफ़रेंस ID।
- `default_paragraph_voice_ref_id` (string, required) — डिफ़ॉल्ट पैराग्राफ़ प्रोजेक्ट वॉइस रेफ़रेंस ID।
- `default_model_id` (string, required) — डिफ़ॉल्ट मॉडल ID।
- `can_be_downloaded` (boolean, required) — क्या प्रोजेक्ट डाउनलोड किया जा सकता है।
- `volume_normalization` (boolean, required) — क्या प्रोजेक्ट volume normalization का उपयोग करता है।
- `state` (enum, required) — प्रोजेक्ट की स्थिति।
  - Allowed values: `creating`, `default`, `converting`, `in_queue`
- `access_level` (enum, required) — प्रोजेक्ट का एक्सेस लेवल।
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `quality_check_on` (boolean, required, deprecated) — क्या इस प्रोजेक्ट के लिए quality check सक्षम है।
- `quality_check_on_when_bulk_convert` (boolean, required, deprecated) — bulk conversion के दौरान प्रोजेक्ट पर quality check सक्षम है या नहीं।
- `default_title_voice_id` (string, required, deprecated) — डिफ़ॉल्ट टाइटल वॉइस ID।
- `default_paragraph_voice_id` (string, required, deprecated) — डिफ़ॉल्ट पैराग्राफ़ वॉइस ID।
- `last_conversion_date_unix` (integer, optional, nullable) — प्रोजेक्ट की आखिरी कन्वर्ज़न तारीख।
- `title` (string, optional, nullable) — प्रोजेक्ट का शीर्षक।
- `author` (string, optional, nullable) — प्रोजेक्ट के लेखक।
- `description` (string, optional, nullable) — प्रोजेक्ट का विवरण।
- `genres` (list of string, optional, nullable) — प्रोजेक्ट की जॉनर सूची।
- `cover_image_url` (string, optional, nullable) — प्रोजेक्ट की कवर इमेज का URL।
- `target_audience` (enum, optional, nullable) — प्रोजेक्ट का लक्षित दर्शक वर्ग।
  - Allowed values: `children`, `young adult`, `adult`, `all ages`
- `language` (string, optional, nullable) — प्रोजेक्ट की भाषा का दो-अक्षर वाला भाषा कोड (ISO 639-1)।
- `content_type` (string, optional, nullable) — प्रोजेक्ट का कंटेंट टाइप, जैसे 'Novel' या 'Short Story'
- `original_publication_date` (string, optional, nullable) — प्रोजेक्ट की मूल प्रकाशन तिथि।
- `mature_content` (boolean, optional, nullable) — क्या प्रोजेक्ट में mature content है।
- `isbn_number` (string, optional, nullable) — प्रोजेक्ट का ISBN नंबर।
- `fiction` (enum, optional, nullable) — क्या प्रोजेक्ट fiction है।
  - Allowed values: `fiction`, `non-fiction`
- `creation_meta` (ProjectCreationMetaResponseModel, optional, nullable) — प्रोजेक्ट का क्रिएशन मेटा।
- `source_type` (enum, optional, nullable) — प्रोजेक्ट का स्रोत प्रकार।
  - Allowed values: `blank`, `book`, `article`, `genfm`, `video`, `screenplay`
- `chapters_enabled` (boolean, optional, nullable, default: true) — क्या प्रोजेक्ट के लिए chapters सक्षम हैं।
- `captions_enabled` (boolean, optional, nullable, default: true) — क्या प्रोजेक्ट के लिए captions सक्षम हैं।
- `caption_style` (CaptionStyleModel, optional, nullable) — सभी कैप्शन पर लागू होने वाली ग्लोबल स्टाइलिंग
- `caption_style_template_overrides` (map from string to CaptionStyleModel, optional, nullable) — दिए गए टेम्प्लेट्स में किए गए स्टाइलिंग बदलाव
- `public_share_id` (string, optional, nullable) — प्रोजेक्ट की पब्लिक शेयर ID।
- `aspect_ratio` (enum, optional, nullable) — प्रोजेक्ट का आस्पेक्ट रेशियो।
  - Allowed values: `16:9`, `9:16`, `4:5`, `1:1`
- `agent_settings` (StudioAgentSettingsModel, optional, nullable) — प्रोजेक्ट के लिए एजेंट से जुड़ी सेटिंग्स

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### PodcastConversationMode

- `type` ("conversation", required) — बनाए जाने वाले पॉडकास्ट का टाइप।
- `conversation` (PodcastConversationModeData, required) — बातचीत के लिए वॉइस सेटिंग्स।

### PodcastBulletinMode

- `type` ("bulletin", required) — बनाए जाने वाले पॉडकास्ट का टाइप।
- `bulletin` (PodcastBulletinModeData, required) — बुलेटिन के लिए वॉइस सेटिंग्स।

### PodcastTextSource

- `type` ("text", required) — बनाए जाने वाले सोर्स का टाइप।
- `text` (string, required) — पॉडकास्ट बनाने के लिए टेक्स्ट।

### PodcastURLSource

- `type` ("url", required) — बनाए जाने वाले सोर्स का टाइप।
- `url` (string, required) — पॉडकास्ट बनाने के लिए URL।

### ProjectCreationMetaResponseModel

- `creation_progress` (double, required) — प्रोजेक्ट बनाने की प्रगति।
- `status` (enum, required) — प्रोजेक्ट बनाने की कार्रवाई का स्टेटस।
  - Allowed values: `draft`, `pending`, `creating`, `finished`, `failed`
- `type` (enum, required) — प्रोजेक्ट बनाने की कार्रवाई का टाइप।
  - Allowed values: `blank`, `generate_podcast`, `auto_assign_voices`, `dub_video`, `import_speech`

### CaptionStyleModel

- `template` (CaptionStyleTemplateModel, optional, nullable)
- `text_font` (string, optional, nullable)
- `text_scale` (double, optional, nullable)
- `text_color` (string, optional, nullable)
- `text_align` (enum, optional, nullable)
  - Allowed values: `start`, `center`, `end`
- `text_style` (enum, optional, nullable)
  - Allowed values: `normal`, `italic`
- `text_weight` (enum, optional, nullable)
  - Allowed values: `normal`, `bold`, `900`
- `text_transform` (enum, optional, nullable)
  - Allowed values: `none`, `uppercase`
- `text_blend_mode` (enum, optional, nullable)
  - Allowed values: `normal`, `difference`, `multiply`
- `text_shadow` (StudioTextStyleShadowModel, optional, nullable)
- `text_outline` (StudioTextStyleOutlineModel, optional, nullable)
- `background_enabled` (boolean, optional, nullable)
- `background_color` (string, optional, nullable)
- `background_opacity` (double, optional, nullable)
- `background_blur` (double, optional, nullable)
- `background_border_radius` (double, optional, nullable)
- `word_highlights_enabled` (boolean, optional, nullable)
- `word_highlights_color` (string, optional, nullable)
- `word_highlights_background_color` (string, optional, nullable)
- `word_highlights_opacity` (double, optional, nullable)
- `word_highlights_border_radius` (double, optional, nullable)
- `word_highlights_blur` (double, optional, nullable)
- `section_animation` (CaptionStyleSectionAnimationModel, optional, nullable)
- `word_animation` (CaptionStyleWordAnimationModel, optional, nullable)
- `character_animation` (CaptionStyleCharacterAnimationModel, optional, nullable)
- `cursor_enabled` (boolean, optional, nullable)
- `width_pct` (double, optional, nullable)
- `horizontal_placement` (CaptionStyleHorizontalPlacementModel, optional, nullable)
- `vertical_placement` (CaptionStyleVerticalPlacementModel, optional, nullable)
- `auto_break_enabled` (boolean, optional, nullable)
- `max_lines_per_section` (integer, optional, nullable)
- `max_words_per_line` (integer, optional, nullable)

### StudioAgentSettingsModel

- `tool_settings` (map from string to StudioAgentToolSettingsModel, optional)

### ValidationErrorLocItems

### PodcastConversationModeData

- `host_voice_id` (string, required) — होस्ट वॉइस की ID।
- `guest_voice_id` (string, required) — गेस्ट वॉइस की ID।

### PodcastBulletinModeData

- `host_voice_id` (string, required) — होस्ट वॉइस की ID।

### CaptionStyleTemplateModel

- `key` (string, required)
- `label` (string, required)
- `requires_high_fps` (boolean, optional, default: false)

### StudioTextStyleShadowModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `blur` (double, required)
- `offset_x` (double, required)
- `offset_y` (double, required)

### StudioTextStyleOutlineModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `width` (double, required)

### CaptionStyleSectionAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleWordAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleCharacterAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `typewriter`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`

### CaptionStyleHorizontalPlacementModel

- `align` (enum, required)
  - Allowed values: `left`, `center`, `right`
- `translate_pct` (double, required)

### CaptionStyleVerticalPlacementModel

- `align` (enum, required)
  - Allowed values: `top`, `center`, `bottom`
- `translate_pct` (double, required)

### StudioAgentToolSettingsModel

- `skip_confirmation` (boolean, optional, default: false)

## Examples

**Request**

```json
{
  "model_id": "eleven_multilingual_v2",
  "mode": {
    "conversation": {
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    },
    "type": "conversation"
  },
  "source": {
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  }
}
```

**Response**

```json
{
  "project": {
    "project_id": "aw1NgEzBg83R7vgmiJt6",
    "name": "My Project",
    "create_date_unix": 1714204800,
    "created_by_user_id": "Vbtgl3bRdj6lk79rYAgx",
    "default_title_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_paragraph_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_model_id": "eleven_multilingual_v2",
    "can_be_downloaded": true,
    "volume_normalization": true,
    "state": "default",
    "access_level": "viewer",
    "quality_check_on": false,
    "quality_check_on_when_bulk_convert": false,
    "default_title_voice_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_paragraph_voice_id": "JBFqnCBsd6RMkjVDRZzb",
    "last_conversion_date_unix": 1714204800,
    "title": "My Project",
    "author": "John Doe",
    "description": "This is a description of my project.",
    "genres": [
      "Novel",
      "Short Story"
    ],
    "cover_image_url": "https://example.com/cover.jpg",
    "target_audience": "young adult",
    "language": "en",
    "content_type": "Novel",
    "original_publication_date": "2025-01-01",
    "mature_content": false,
    "isbn_number": "978-90-274-3964-2",
    "fiction": "fiction",
    "creation_meta": {
      "creation_progress": 0.5,
      "status": "pending",
      "type": "blank"
    },
    "public_share_id": "abc123def456789"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/studio/podcasts"

payload = {
    "model_id": "eleven_multilingual_v2",
    "mode": {
        "conversation": {
            "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
            "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
        },
        "type": "conversation"
    },
    "source": {
        "type": "url",
        "url": "https://en.wikipedia.org/wiki/Cognitive_science"
    }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/studio/podcasts';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"model_id":"eleven_multilingual_v2","mode":{"conversation":{"guest_voice_id":"bYTqZQo3Jz7LQtmGTgwi","host_voice_id":"6lCwbsX1yVjD49QmpkTR"},"type":"conversation"},"source":{"type":"url","url":"https://en.wikipedia.org/wiki/Cognitive_science"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/studio/podcasts"

	payload := strings.NewReader("{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/studio/podcasts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/studio/podcasts")
  .header("Content-Type", "application/json")
  .body("{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/studio/podcasts', [
  'body' => '{
  "model_id": "eleven_multilingual_v2",
  "mode": {
    "conversation": {
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    },
    "type": "conversation"
  },
  "source": {
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/studio/podcasts");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "model_id": "eleven_multilingual_v2",
  "mode": [
    "conversation": [
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    ],
    "type": "conversation"
  ],
  "source": [
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/studio/podcasts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```